FWTextInternal::State Struct Reference

Internal: the state of a FWText. More...

## Public Member Functions

| State ()
| constructor More...

## Public Attributes

int | m_version
| the file version More...
std::multimap< int, shared_ptr < Zone > > | m_entryMap
| zoneId -> entry More...
std::map< int, Paragraph > | m_paragraphMap
| rulerId -> ruler More...
std::map< int, Item > | m_itemMap
| itemId -> item More...
std::map< int, DataModifier > | m_dataModMap
| modId -> font/paragraph modifier More...
std::vector< ParaModifier > | m_paragraphModList
| a list of paragraph modifier More...
std::vector< int > | m_mainZones
| the main zone index More...
int | m_numPages
int | m_actualPage

## Detailed Description

Internal: the state of a FWText.

## Constructor & Destructor Documentation

FWTextInternal::State::State | ( |  | ) |

inline

constructor

## Member Data Documentation

int FWTextInternal::State::m_actualPage

std::map<int, DataModifier> FWTextInternal::State::m_dataModMap

modId -> font/paragraph modifier

std::multimap<int, shared_ptr<Zone> > FWTextInternal::State::m_entryMap

zoneId -> entry

std::map<int, Item> FWTextInternal::State::m_itemMap

itemId -> item

std::vector<int> FWTextInternal::State::m_mainZones

the main zone index

int FWTextInternal::State::m_numPages

std::map<int, Paragraph> FWTextInternal::State::m_paragraphMap

rulerId -> ruler

std::vector<ParaModifier> FWTextInternal::State::m_paragraphModList

a list of paragraph modifier

int FWTextInternal::State::m_version

mutable

the file version

The documentation for this struct was generated from the following file:

- FWText.cxx